@use '../../../global/styles/styles-variables' as *;

@mixin approved-primary() {
  --BACKGROUND-COLOR: var(
    --digi--badge-status--background-color--approved--primary
  );
  --COLOR: var(--digi--badge-status--color--primary);
}

@mixin approved-secondary() {
  --BACKGROUND-COLOR: var(
    --digi--badge-status--background-color--approved--secondary
  );
  // --BORDER: var(--digi--badge-status--border--approved--secondary);
  --COLOR: var(--digi--badge-status--background-color--approved--primary);
}

@mixin denied-primary() {
  --BACKGROUND-COLOR: var(
    --digi--badge-status--background-color--denied--primary
  );
  --COLOR: var(--digi--badge-status--color--primary);
}

@mixin denied-secondary() {
  --BACKGROUND-COLOR: var(
    --digi--badge-status--background-color--denied--secondary
  );
  --COLOR: var(--digi--global--color--function--danger--dark);
  // --BORDER: var(--digi--badge-status--border--denied--secondary);
}

@mixin missing-primary() {
  --BACKGROUND-COLOR: var(
    --digi--badge-status--background-color--missing--primary
  );
  --COLOR: var(--digi--global--color--neutral--grayscale--darkest-6);
}

@mixin missing-secondary() {
  --BACKGROUND-COLOR: var(
    --digi--badge-status--background-color--missing--secondary
  );
  --COLOR: var(--digi--badge-status--color--missing);
  // --BORDER: var(--digi--badge-status--border--missing--secondary);
}

@mixin prompt-primary() {
  --BACKGROUND-COLOR: var(
    --digi--badge-status--background-color--prompt--primary
  );
  --COLOR: var(--digi--badge-status--color--primary);
}

@mixin prompt-secondary() {
  --BACKGROUND-COLOR: var(
    --digi--badge-status--background-color--prompt--secondary
  );
  --COLOR: var(--digi--color--background--inverted-6);
  // --BORDER: var(--digi--badge-status--border--prompt--secondary);
}

@mixin beta-primary() {
  --BACKGROUND-COLOR: var(
    --digi--badge-status--background-color--beta--primary
  );
  --COLOR: var(--digi--badge-status--color--primary);
}

@mixin beta-secondary() {
  --BACKGROUND-COLOR: var(
    --digi--global--color--complementary--cerise--lightest-2
  );
  --COLOR: var(--digi--badge-status--background-color--beta--primary);
  // --BORDER: var(--digi--badge-status--border--beta--secondary);
}

@mixin neutral-primary() {
  --BACKGROUND-COLOR: var(
    --digi--badge-status--background-color--neutral--primary
  );
  --COLOR: var(--digi--badge-status--color--primary);
}

@mixin neutral-secondary() {
  --BACKGROUND-COLOR: var(
    --digi--badge-status--background-color--neutral--secondary
  );
  --COLOR: var(--digi--badge-status--background-color--neutral--primary);
  // --BORDER: var(--digi--badge-status--border--neutral--secondary);
}
